#include<iostream>
#include<string>
using namespace std;
void R(int& s,int& p)
{
    p++;
}
void L(int& s,int& p)
{
    p--;
}
void D(int& s,int& p)
{
    s++;
}
void U(int& s,int& p)
{
    s--;
}
int main()
{
    string k;
    cin>>k;
    int s=0,s1=0,p=0,p1=0;
    for(int i=0; i<k.size(); i++)
    {
        if(k[i]=='R')
        {
            R(s1,p1);
        }
        if(k[i]=='L')
        {
            L(s1,p1);
        }
        if(k[i]=='U')
        {
            U(s1,p1);
        }
        if(k[i]=='D')
        {
            D(s1,p1);
        }
    }
    if(s1>s)
    {
        for(int i=0; i<s1; i++)
        {
            cout<<"U";
        }
    }
    if(s1<s)
    {
        for(int i=0; i<(s-s1); i++)
        {
            cout<<"D";
        }
    }
    if(p1>p)
    {
        for(int i=0; i<p1; i++)
        {
            cout<<"L";
        }
    }
    if(p1<p)
    {
        for(int i=0; i<(p-p1); i++)
        {
            cout<<"R";
        }
    }
}
